/**
 * 
 */
package org.freedesktop.minidbus;

import com.palm.oasis.util.ServiceLogger;

/**
 * Log messages
 * 
 * @author Ed Wei
 * 
 */
public class PalmIpcLogger {
    
    private static final ServiceLogger logger = new ServiceLogger(PalmIpcLogger.class.getName());
    
    public static void WARN(String message, Object...args)
    {
    	if (ServiceLogger.isLoggingEnabled)
    		if (logger.isWarningLoggable)
    			logger.warning(message, args);
    }

    public static void ERROR(String message, Object...args)
    {
    	if (ServiceLogger.isLoggingEnabled)
    		if (logger.isSevereLoggable)
    			logger.severe(message, args);
    }

    public static void ERROR(String message, Throwable thrown)
    {
    	if (ServiceLogger.isLoggingEnabled)
    		if (logger.isSevereLoggable)
    			logger.severe(message, thrown);
    }

    public static void INFO(String message, Object...args)
    {
    	if (ServiceLogger.isLoggingEnabled)
    		if (logger.isInfoLoggable)
    			logger.info(message, args);
    }

    /**
     * Compiled out at release
     * 
     * @param message
     * @param args
     */
    public static void DEBUG(String message, Object...args)
    {
    	if (ServiceLogger.isLoggingEnabled)
	    	if (ServiceLogger.isDebugLoggingEnabled)
	    		if (logger.isFinerLoggable)
	    			logger.finer(message, args);
    }
}
